summaryrefslogtreecommitdiff
path: root/scripts/spamassassin.sh
diff options
context:
space:
mode:
authorStef Walter <stef@memberwebs.com>2004-10-18 22:54:51 +0000
committerStef Walter <stef@memberwebs.com>2004-10-18 22:54:51 +0000
commit8ffd57b3fe8fb56d77dde340af147255ce73ad1c (patch)
tree7b01b3934b77a648dd9bc3a1fdf86b4afd8d52a2 /scripts/spamassassin.sh
parent456d7cc777068bc31a529d6b05ceeb1826b9fece (diff)
Added sample scripts.
Diffstat (limited to 'scripts/spamassassin.sh')
-rw-r--r--scripts/spamassassin.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/spamassassin.sh b/scripts/spamassassin.sh
new file mode 100644
index 0000000..4a6e8fe
--- /dev/null
+++ b/scripts/spamassassin.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+################################################################################
+# PROXSMTP SAMPLE SCRIPT
+#
+# These sample scripts are to give you an idea of how to use proxsmtp
+# filtering. They are NOT intended for use on production servers.
+#
+# A simple proxsmtp script which sends email through spamassassin.
+#
+# Make sure the option 'FilterType' is set as follows:
+# FilterType: pipe
+#
+# See proxsmtpd.conf(5) for configuration details
+#
+
+# Pipe mail through this command
+spamassassin -e
+
+# Now check return value
+if [ $? -ne 0 ]; then
+
+ # The last line of output to stderr will be used
+ # as an error message when the filter fails
+ echo "550 Content Rejected: We don't like spam" >&2
+
+ # Cause the filter to fail, email will be rejected
+ exit 1
+fi
+
+# Filter success
+exit 0